public class DiceFactory
{ public static Teerling getDice(int n)
  { Teerling deTeerling = null;
	switch ( (int) (Math.random()*3) )
    { case 0:
        deTeerling = getSimpleDice(n);
        break;
      case 1:
        deTeerling = getMagicDice(n);
        break;
      case 2:
        deTeerling = getSuperMagicDice(n);
        break;
    }
    return deTeerling;
  }
  public static Teerling getSimpleDice(int n)
  { return new Teerling(n);
  }
  public static Teerling getMagicDice(int n)
  { return new MagicTeerling(n);
  }
  public static Teerling getSuperMagicDice(int n)
  { return new SuperMagicTeerling(n);
  }
}